Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-algorithms-08.txt

From: [email-masked]
Date: Wed, 17 Nov 2021 08:19:24 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Algorithms
        Authors         : Hendrik Brockhaus
                          Hans Aschauer
                          Mike Ounsworth
                          John Gray
	Filename        : draft-ietf-lamps-cmp-algorithms-08.txt
	Pages           : 33
	Date            : 2021-11-17

Abstract:
   This document updates RFC 4210 describing the conventions for using
   concrete cryptographic algorithms with the Certificate Management
   Protocol (CMP).  CMP is used to enroll and further manage the
   lifecycle of X.509 certificates.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-algorithms/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-algorithms-08.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-algorithms-08

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Wed, 17 Nov 2021 16:37:59 +0000

We just submitted an update of CMP Algorithms draft addressing the comments from Roman's AD review and the discussion at IETF 112.

The authors appreciate any review comments, especially on the tables in Section 7 and the Sections on SHAKE and KMAC usage.
@Quynh, Thank you for offering your expertise on this. 

   From version 07 -> 08:

   *  Fixing issues from WG and AD review
   *  Adding Note to Section 2.2, 3.3, and 6.2.3 regarding usage of
      SHAKE and KMAC and added ToDo regarding checking respective notes
   *  Added two tables showing algorithms sorted by their strength to
      Section 7 and added ToDo regarding checking theses tables
   *  Updates the algorithm use profile in Section 7.1
   *  Updated and added security consideration on SHAKE,
      PasswordBasedMac, KMAC, and symmetric key-based MAC functions and
      added ToDo regarding checking the security consideration on SHAKE

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von internet-
> [email-masked]
> Gesendet: Mittwoch, 17. November 2021 17:19
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
> acker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> algorithms%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com
> %7C5ea8a0eb3dfa4bcf9bc908d9a9e62669%7C38ae3bcd95794fd4addab42e14
> 95d55a%7C1%7C0%7C637727628230195738%7CUnknown%7CTWFpbGZsb3d
> 8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D
> %7C3000&amp;sdata=5He4lH8c%2FAJq6ayV3oREbVnRcOO%2BVXqSnhR6Q6G
> iths%3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-algorithms-
> 08.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C5ea
> 8a0eb3dfa4bcf9bc908d9a9e62669%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637727628230195738%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> 00&amp;sdata=xiboY9LJwa9SggJQCLw62wanImVr599ykORtaKdANsQ%3D&am
> p;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-algorithms-
> 08&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C5ea8a0e
> b3dfa4bcf9bc908d9a9e62669%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> %7C0%7C637727628230195738%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> mp;sdata=RdKY3lRt6uiBQfNp9dYX5cS7xePhxQmjLAj4Oafc%2Brs%3D&amp;res
> erved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.o
> rg%2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C5
> ea8a0eb3dfa4bcf9bc908d9a9e62669%7C38ae3bcd95794fd4addab42e1495d5
> 5a%7C1%7C0%7C637727628230195738%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C
> 3000&amp;sdata=zXSo0IODxSjpyyd7Ex1bTIJa4FyhAFgRodftcPbhQo4%3D&am
> p;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> ockhaus%40siemens.com%7C5ea8a0eb3dfa4bcf9bc908d9a9e62669%7C38ae3
> bcd95794fd4addab42e1495d55a%7C1%7C0%7C637727628230195738%7CUnk
> nown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1
> haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=L%2BWY9ufwnckvUswk7Gtl0h
> hvT%2B86SZXVT3g7%2FjSpIrI%3D&amp;reserved=0

---

From: Russ Housley <[email-masked]>
Date: Wed, 17 Nov 2021 11:41:11 -0500

I observe that there are three "To Do" notes in the document.  Are these the things you are asking Quynh to review?

Russ

> On Nov 17, 2021, at 11:37 AM, Brockhaus, Hendrik <[email-masked]> wrote:
>

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Wed, 17 Nov 2021 16:49:59 +0000

Exactly, these are the sections where we would like to have additional review on.

Hendrik

> Von: Russ Housley <[email-masked]>
> Gesendet: Mittwoch, 17. November 2021 17:41
> 
> > We just submitted an update of CMP Algorithms draft addressing the
> comments from Roman's AD review and the discussion at IETF 112.
> >
> > The authors appreciate any review comments, especially on the tables in
> Section 7 and the Sections on SHAKE and KMAC usage.
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> >>
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ceb61e
> 7aee6
> >>
> 5a4db8b8c208d9a9e91340%7C38ae3bcd95794fd4addab42e1495d55a%7C1%
> 7C0%7C6
> >>
> 37727640915093743%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjo
> >>
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=t23NPOg9
> 2cWT
> >> NkiSvGavrqGj76YCrsV5XMiScAdJJmU%3D&amp;reserved=0
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> >>
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ceb61e
> 7aee6
> >>
> 5a4db8b8c208d9a9e91340%7C38ae3bcd95794fd4addab42e1495d55a%7C1%
> 7C0%7C6
> >>
> 37727640915103736%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjo
> >>
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=yxbQv%2F
> EDKr
> >> Nf4hmZWTTeoSFndOxqwZX7ZdLEtr86eE8%3D&amp;reserved=0
> >> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.i
> >>
> etf.o%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ceb
> 61e7a
> >>
> ee65a4db8b8c208d9a9e91340%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%
> >>
> 7C637727640915103736%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAw
> MDAiLCJQ
> >>
> IjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=mA7Qb
> bwy2
> >> iNaCfEvj6m8qbVqBTILzg06q42keLdLL%2BQ%3D&amp;reserved=0
> >> rg%2Finternet-
> >>
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> >>
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ceb61e
> 7aee6
> >>
> 5a4db8b8c208d9a9e91340%7C38ae3bcd95794fd4addab42e1495d55a%7C1%
> 7C0%7C6
> >>
> 37727640915103736%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjo
> >>
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=yxbQv%2F
> EDKr
> >> Nf4hmZWTTeoSFndOxqwZX7ZdLEtr86eE8%3D&amp;reserved=0
> >>